SELECT
      t1.p04 as p04,
      t1.p02 as p02,
      t1.p03 as p03,
      t1.vp02 as vp02,
      us0.p100 as vp03
FROM
(

select dc2.p04 as p04,
       dc2.p02 as p02,
       dc2.p03 as p03,
       us0.p100 as vp02
FROM dc2
LEFT JOIN us0 ON us0.p01=dc2.p02
WHERE dc2.p01={nnr01}
) as t1
LEFT JOIN us0 ON us0.p01=t1.p03
ORDER BY t1.p04 DESC;